package cn.cecep.talroad.task;

import cn.cecep.talroad.common.core.web.controller.BaseController;
import cn.cecep.talroad.service.ProductionScheduledService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 开发公司：中节能天融科技有限公司
 *
 * ProductionScheduledController
 * 产治排定时任务
 * @author fzx
 * @date 2023-6-6 23:55:42
 */
@Api(tags = "产治排定时任务")
@RestController
@RequestMapping("/production")
@Slf4j
public class ProductionScheduledController extends BaseController {

    @Autowired
    private ProductionScheduledService productionScheduledService;

    @GetMapping("/timingUpdateProduction")
    public void timingUpdateProduction() {
        try {
            productionScheduledService.timingUpdateProduction();
        } catch (Exception e) {
            e.printStackTrace();
            log.info("定时更新产治排设施关联关系失败. 原因：" + e.getMessage());
        }
    }

}
